{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" class="css-config-form">
    {$jtl_token}
    <input type="hidden" name="kPlugin" value="{$oPlugin->getID()}"/>
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control" data-active="{if !empty($pluginConfig->pluginActive)}{$pluginConfig->pluginActive}{else}N{/if}">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Zugriffsberechtigung im Backend')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="access" name="access[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach from=$members item=member name="memberauswahl"}
                        <option value="{$member->kAdminlogin}" {if !empty($pluginConfig->access) && in_array($member->kAdminlogin,$pluginConfig->access)}selected="selected"{/if}>{$member->cName}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie hier nur vertrauenswürdige Personen ein, da diese auch die Gutscheincodes einsehen könnten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
<hr>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('DigiBon immer an DATEV oder andere Einrichtung senden')}</span>
            </div>
            <select id="sendBonDATEV" name="sendBonDATEV" class="form-control">
                <Option {if $pluginConfig->sendBonDATEV=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->sendBonDATEV=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Soll der Bon Grundsätzlich an eine E-Mail gesendet werden? (z.B. DATEV)')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Empfänger E-Mail für z.B. DATEV')}</span>
            </div>
            <input type="text" name="DATEVeMail" class="form-control" value="{$pluginConfig->DATEVeMail}" placeholder="{__('E-Mail Empfänger')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Empfänger Mail der Einrichtung.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('DigiBon als Anhang senden')}</span>
            </div>
            <select id="sendBon" name="sendBon" class="form-control">
                <Option {if $pluginConfig->sendBon=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->sendBon=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Soll der Bon in E-Mails als Anhang mitgesendet werden?')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
<hr>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Aufbewahrungsdauer in Tagen')}</span>
            </div>
            <input type="text" name="storageDays" class="form-control" value="{$pluginConfig->storageDays}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Maximale Aufbewahrungsdauer des Bons in Tagen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Virtueller Pfad / Verzeichnis für den Digitalen Bon')}</span>
            </div>
            <input type="text" name="seo" class="form-control" value="{$pluginConfig->seo}" placeholder="{__('digiBon')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('URL für die Bon Anzeige.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Maximale Anzahl der Anzeige')}</span>
            </div>
            <input type="text" name="maxToShow" class="form-control" value="{$pluginConfig->maxToShow}" placeholder="{__('digiBon')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Maximaler Aufruf des Bons, 0 für unbegrenzt innerhalb der maximalen Tage.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        </fieldset>


    <fieldset class="border p-2 form-group">
        <legend class="w-auto"><img src='{$PluginAdminURL}assets/img/Luwosoft_Logo.png' width=300px" class="img-responsive" alt='Luwosoft unterst&uuml;tzung'></legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('KASSENID<br>(Je Zugriffsberechtigung eine Zeile)')}</span>
            </div>
            {assign var=height value=count(explode("\n",$pluginConfig->KASSENID))}
            <textarea style="min-height:{($height*25)+25}px" name="KASSENID" class="form-control"  placeholder="{__('je Zeile eine Kassen ID')}">{$pluginConfig->KASSENID}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Token in Verbindung mit dem Kassensystem LS-POS zu verwenden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3" id="luwo">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:center">{__('LS-POS Daten')}<br>
                        <img id="qrimage" onclick="cssClipboard($(this).data('qr'),true);"  data-qr='{$qr_lspos}' src="data:image/png;base64,{$QRCode}" class="qrcode img-responsive" style="margin:auto; cursor:pointer">
                    <br>{__('QR-Code scannen oder klicken')}
                </span>
            </div>
            <span class="form-control" style="height:auto;"><p style="padding:5px 10px" class="text-left">{__('LS-POS - Modul "Digitaler Bon"')}</p>
            <p class="text-center"><a href="https://www.luwosoft-shop.de/LSPOS-Modul-DigiBon?ref=css-umsetzung" target="_blank" class="btn btn-primary" style="margin:auto; width:80%">{__('Mehr &uuml;ber LS-POS')}</a></p>
            <hr>
            <div style="">
                <p style="padding:0 10px;"><b>Token zum kopieren <i onclick="cssClipboard('{$pluginConfig->TOKEN}',false);" style=" cursor:pointer;" class="fa fa fa-files-o"></i></b></p>
                <input name="TOKEN" id="TOKEN" class="form-control hidden" value="{$pluginConfig->TOKEN}">
                <input onclick="cssClipboard('{$pluginConfig->TOKEN}',false);"  style="border:0; background-color:#f1f1f1; cursor:pointer;" readable name="readableToken" class="form-control" value="{$pluginConfig->TOKEN}">
            </div>

            </span>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Token in Verbindung mit dem Kassensystem LS-POS zu verwenden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>




    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</form>

<script>
    function cssClipboard(str,binaer) {
        ta = document.createElement('textarea');
        ta.value = str;
        document.body.appendChild(ta);
        ta.select();
        document.execCommand('copy');
        document.body.removeChild(ta);
        if(binaer==true){
            $.notify("Die Daten befinden sich nun im Zwischenspeicher",{ type: "success",offset:0 ,element: '#luwo' });
        } else{
            $.notify("'" + str + "' befindet sich nun im Zwischenspeicher",{ type: "success",offset:0,element: '#luwo' });
        }
    };
</script>