<?php declare(strict_types=1);

namespace Plugin\css_digiBon\Migrations;
use JTL\Helpers\Text;
use JTL\Plugin\PluginInterface;
use JTL\Shop;
use JTL\Mail\Mail\Mail;
use JTL\Mail\Mailer;


use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20210515123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20230302123301 extends Migration implements IMigration   {
    /**
     * @inheritdoc
     */



    /*
    define('JTLLOG_LEVEL_EMERGENCY', 600);
    define('JTLLOG_LEVEL_ALERT', 550);
    define('JTLLOG_LEVEL_CRITICAL', 500);
    define('JTLLOG_LEVEL_ERROR', 400);
    define('JTLLOG_LEVEL_WARNING', 300);
    define('JTLLOG_LEVEL_NOTICE', 250);
    define('JTLLOG_LEVEL_INFO', 200);
    define('JTLLOG_LEVEL_DEBUG', 100);
*/

    public function JTLWriteLog($cLog='',$nLevel=JTLLOG_LEVEL_INFO ,$bForce=false) {
        if (\mb_strlen($cLog) > 0 && ($bForce || \Jtllog::getSytemlogFlag(false))) {
            $logger = Shop::Container()->getLogService();
            $logger = $logger->withName("css_digiBonConfig");
            $logger->log($nLevel, $cLog, ["css_digiBonConfig"]);
            return true;
        }
        return false;
    }

    public function up()    {
        $this->execute(
            "UPDATE `css_digiBonConfig` SET `version` = '2.3.0'  "
        );
    }

    public function down() {
    }
}
